org.eclipse.emf.cdo.transfer.ui

## Class TransferTypeContentProvider

- java.lang.Object
- - org.eclipse.emf.cdo.transfer.ui.TransferTypeContentProvider

- All Implemented Interfaces:
    IContentProvider, IStructuredContentProvider

      public class TransferTypeContentProvider
      extends java.lang.Object
      implements IStructuredContentProvider

  A reusable `content provider` for the `transfer types` of a `mapping`.

  The recognized `inputs` include instances of `CDOTransferType` and `CDOTransferType[]`.

  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CDOTransferType[]` | `NO_TANSFER_TYPES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransferTypeContentProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()`
    `java.lang.Object[]` | `getElements(java.lang.Object inputElement)`
    `void` | `inputChanged(Viewer viewer, java.lang.Object oldInput, java.lang.Object newInput)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NO_TANSFER_TYPES

          public static final CDOTransferType[] NO_TANSFER_TYPES

  - ### Constructor Detail

    - #### TransferTypeContentProvider

          public TransferTypeContentProvider()

  - ### Method Detail

    - #### inputChanged

          public void inputChanged(Viewer viewer,
                                   java.lang.Object oldInput,
                                   java.lang.Object newInput)

      Specified by:
        `inputChanged` in interface `IContentProvider`

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `IContentProvider`

    - #### getElements

          public java.lang.Object[] getElements(java.lang.Object inputElement)

      Specified by:
        `getElements` in interface `IStructuredContentProvider`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html